﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Threading.Tasks;

namespace Traffic.Data.Enums
{
    public enum Message
    {
        [Description("取得成功")]
        GetSuccess,
        [Description("取得失敗")]
        GetFail,

        [Description("新增成功。")]
        InsertSuccess,
        [Description("新增失敗。")]
        InsertFail,

        [Description("修改成功。")]
        UpdateSuccess,
        [Description("修改失敗。")]
        UpdateFail,

        [Description("刪除成功。")]
        DeleteSuccess,
        [Description("刪除失敗。")]
        DeleteFail,

        [Description("註冊成功。")]
        RegisterSuccess,
        [Description("註冊失敗。")]
        RegisterFail,

        [Description("Page Size 或 Page Number 需大於 0")]
        PageMustBeGreaterThan0,

        [Description("查無此帳號，請重新選擇。")]
        NoThisAccount,
        [Description("已存在此帳號。")]
        ThisAccountAlreadyExists,
        [Description("請選擇身分別。")]
        PleaseChooseRole,
        [Description("不存在此權限, 請再確認一次。")]
        ThisAccountNoAuth,
    }
}
