﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Traffic.Data.Models
{
    public class Announce
    {
        /// <summary>
        /// 流水號
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 標題
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 內文
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 起始時間
        /// </summary>
        public DateTime StartOn { get; set; }

        /// <summary>
        /// 狀態
        /// </summary>
        public int Status { get; set; }

        public int CreatorId { get; set; }

        public DateTime CreatedOn { get; set; }

        public int UpdatorId { get; set; }

        public DateTime UpdatedOn { get; set; }
    }
}
