﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class AccountUserViewModel
    {
        [JsonPropertyName("Id")]
        public int Id { get; set; }

        [JsonPropertyName("Account")]
        public string Account { get; set; }

        [JsonPropertyName("Name")]
        public string Name { get; set; }

        [JsonPropertyName("Email")]
        public string Email { get; set; }

        [JsonPropertyName("Phone")]
        public string Phone { get; set; }

        [JsonPropertyName("Role")]
        public int Role { get; set; }
        [JsonPropertyName("ErrorCount")]
        public int ErrorCount { get; set; }

        [JsonPropertyName("PoliceStation")]
        public PoliceStationViewModel PoliceStation { get; set; }

        [JsonPropertyName("Site")]
        public List<UserSiteViewModel> Site { get; set; }

        [JsonPropertyName("ChangePwdOn")]
        public DateTime ChangePwdOn { get; set; }

        [JsonPropertyName("Status")]
        public int Status { get; set; }
    }
}
