﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class AnnounceViewModel
    {
        /// <summary>
        /// 流水號
        /// </summary>
        [JsonPropertyName("Id")]
        public int Id { get; set; }

        /// <summary>
        /// 標題
        /// </summary>
        [JsonPropertyName("Title")]
        public string Title { get; set; }

        /// <summary>
        /// 內文
        /// </summary>
        [JsonPropertyName("Content")]
        public string Content { get; set; }

        /// <summary>
        /// 起始時間
        /// </summary>
        [JsonPropertyName("StartOn")]
        public string StartOn { get; set; }

        /// <summary>
        /// 狀態
        /// </summary>
        [JsonPropertyName("Status")]
        public int Status { get; set; }

        [JsonPropertyName("CreatorId")]
        public int CreatorId { get; set; }

        [JsonPropertyName("CreatedOn")]
        public DateTime CreatedOn { get; set; }

        [JsonPropertyName("UpdatorId")]
        public int UpdatorId { get; set; }

        [JsonPropertyName("UpdatedOn")]
        public DateTime UpdatedOn { get; set; }
    }
}
