﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class SearchModelViewModel
    {
        [JsonPropertyName("Term")]
        public string Term { get; set; }
        [JsonPropertyName("Page")]
        public string Page { get; set; }
        [JsonPropertyName("PageSize")]
        public string PageSize { get; set; }
        [JsonPropertyName("Order")]
        public string Order { get; set; }
        [JsonPropertyName("IsAsc")]
        public string IsAsc { get; set; }

        public SearchModelViewModel()
        {
            Page = "1";
            PageSize = "10";
            Order = "id";
            IsAsc = "true";
        }
    }
}
