﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;
using Traffic.Data.Models;

namespace Traffic.Data.ViewModels
{
    public class UserData
    {
        [JsonPropertyName("Id")]
        public int Id { get; set; }
        [JsonPropertyName("Account")]
        public string Account { get; set; }
        [JsonPropertyName("UserName")]
        public string UserName { get; set; }
        [JsonPropertyName("Password")]
        public string Password { get; set; }
        [JsonPropertyName("newPassword")]
        public string NewPassword { get; set; }
        [JsonPropertyName("Email")]
        public string Email { get; set; }
        [JsonPropertyName("PhoneNumber")]
        public string PhoneNumber { get; set; }
        [JsonPropertyName("Status")]
        public int Status { get; set; }
        [JsonPropertyName("RoleCode")]
        public AccountRole RoleCode { get; set; }
        [JsonPropertyName("RoleCode_Id")]
        public int RoleCode_Id { get; set; }
        [JsonPropertyName("GroupCode")]
        public AccountGroup GroupCode { get; set; }
        [JsonPropertyName("GroupCode_Id")]
        public int GroupCode_Id { get; set; }

        [JsonPropertyName("Site_Id")]
        public List<int> Site_Id { get; set; }
    }

    public class UserNameList
    {
        [JsonPropertyName("Id")]
        public int Id { get; set; }
        [JsonPropertyName("UserName")]
        public string UserName { get; set; }
        [JsonPropertyName("Email")]
        public string Email { get; set; }
    }
}
