﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Models;

namespace Traffic.Repository.Interfaces
{
    public interface ISiteInformationRepository
    {
        public IEnumerable<SiteInformation> GetSiteInformations();
        public IEnumerable<SiteInformation> GetSiteInformations(List<string> eventTypes);
        public SiteInformation GetSiteInformationById(int id);
        public SiteInformation GetSiteInformationBySiteId(string Siteid);
        public bool InsertSiteInformation(SiteInformation data);
        public bool UpdateSiteInformation(SiteInformation data);
        public bool DeleteSiteInformation(int id);
    }
}
