﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface INotPunishService
    {
        public IEnumerable<NotPunishViewModel> GetNotPunishs();

        public PageViewModel<IEnumerable<NotPunishViewModel>> GetNotPunishs(SearchModel searchModel);

        public NotPunishViewModel GetNotPunishById(int id);

        public TradeResultModel InsertNotPunish(NotPunishViewModel NotPunish);

        public TradeResultModel UpdatNotPunish(int id, NotPunishViewModel NotPunish);

        public TradeResultModel DeleteNotPunish(int id);
    }
}
