﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface IReportService
    {
        public IEnumerable<TycgViewModel> GetTycgLogAll(string tycgTableName);
        public PageViewModel<IEnumerable<TycgViewModel>> GetTycgLog(string tycgTableName, SearchModel searchModel);
        public ReportSiteEventTypesViewModel GetReportSiteEventTypes(List<string> sites, List<string> eventTypes, string startTime, string endTime);
        public List<ReportEventType1ViewModel> GetEventType1(ReportRequestViewModel viewModel);
        public List<ReportEventType2ViewModel> GetEventType2(ReportRequestViewModel viewModel);
        public List<ReportEventType34ViewModel> GetEventType34(ReportRequestViewModel viewModel);
        public List<ReportEventType6ViewModel> GetEventType6(ReportRequestViewModel viewModel);
        public List<ReportMalfunctionViewModel> GetMalfunction(ReportRequestViewModel viewModel);
        public IEnumerable<TycgTableNameViewModel> GetTycgTableName();
    }
}
