﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Models;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface IRoleService
    {
        public TradeResultModel PostRoleDataList(int byWho, RoleData roleData);
        public PageViewModel<IEnumerable<RoleDataQuery>> GetRoleDataList(SearchModel searchModel);
        public IEnumerable<RoleCodeInfo> GetRoleInfoList();
        public List<RolePermissionDataQuery> GetRolePermissionInfo(int? roleId);
        public List<PagePermissionDataQuery> GetAllPagePermission(int roleId);
        public bool PutPageRoleStatus(PagePermissionData pagePermission);
    }
}
