﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface ISiteInformationService
    {
        public IEnumerable<SiteInformationViewModel> GetSiteInformations();

        public IEnumerable<SiteInformationViewModel> GetSiteInformationsByUser(int userId);

        public IEnumerable<SiteInformationViewModel> GetSiteInformationsByEventTypes(List<string> eventTypes);

        public PageViewModel<IEnumerable<SiteInformationViewModel>> GetSiteInformations(SearchModel searchModel);

        public SiteInformationViewModel GetSiteInformationById(int id);

        public TradeResultModel InsertSiteInformation(SiteInformationViewModel SiteInformation);

        public TradeResultModel UpdatSiteInformation(int id, SiteInformationViewModel SiteInformation);

        public TradeResultModel DeleteSiteInformation(int id);
    }
}
