﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Traffic.Data.ViewModels
{
    public class EventCountViewModel
    {
        /// <summary>
        /// 流水號
        /// </summary>
        [JsonPropertyName("TotalCount")]
        public int TotalCount { get; set; }

        /// <summary>
        /// 確認開單
        /// </summary>
        [JsonPropertyName("PunishedCount")]
        public int PunishedCount { get; set; }

        /// <summary>
        /// 待確認開單
        /// </summary>
        [JsonPropertyName("CheckPunishedCount")]
        public int CheckPunishedCount { get; set; }

        /// <summary>
        /// IsStayCount
        /// </summary>
        [JsonPropertyName("IsStayCount")]
        public int IsStayCount { get; set; }

        /// <summary>
        /// UnsureCount
        /// </summary>
        [JsonPropertyName("UnsureCount")]
        public int UnsureCount { get; set; }

        /// <summary>
        /// 駁回
        /// </summary>
        [JsonPropertyName("RejectedCount")]
        public int RejectedCount { get; set; }

        /// <summary>
        /// 未開單
        /// </summary>
        [JsonPropertyName("NoStatusCount")]
        public int NoStatusCount { get; set; }

        /// <summary>
        /// 不開單
        /// </summary>
        [JsonPropertyName("NoPunishedCount")]
        public int NoPunishedCount { get; set; }
    }
}
