﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Enums;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface IAccountService
    {
        public TradeResultModel InserAccountUser(int byWho, UserData account);
        public TradeResultModel UpdateAccountbyAdmin(int byWho, UserData account);
        public TradeResultModel UpdateAccountbyUser(int byWho, UserData account);
        public TradeResultModel UpdateAccountPasswordbyAdmin(int id, int byWho);
        public TradeResultModel UpdateAccountPasswordByUser(int ByWho, UserData accountViewModel);
        public TradeResultModel DeleteUserData(int id);

        public AccountUserViewModel GetAccountUser(int id);
        public bool GetExistUser(string account);
        public PageViewModel<IEnumerable<UserDataQuery>> GetUserDataList(SearchModel searchModel, int? id);
        public IEnumerable<UserNameList> GetUserNameList();
        public IEnumerable<string> GetUserSite(int id);
        public IEnumerable<UserSiteInformationViewModel> GetUserSiteInfo(int id);
        public TradeResultModel PutUserbyAdmin(int byWho, int id, int status);
    }
}
