﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Models;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface IAnnounceService
    {
        public PageViewModel<IEnumerable<AnnounceViewModel>> GetAnnounces(SearchModel searchModel);

        public AnnounceViewModel GetAnnounceById(int id);

        public TradeResultModel InsertAnnounce(int byWho, AnnounceInsertViewModel viewModel);

        public TradeResultModel UpdatAnnounce(int id, AnnounceInsertViewModel Announce, int byWho);

        public TradeResultModel DeleteAnnounce(int id);
    }
}
