﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface IFileService
    {
        public string ExportGetTycgLog(string tableName, IEnumerable<TycgViewModel> data);
        public string ExportEvent(string startTime, string endTime, string eventName, IEnumerable<JoinEventSiteAndUserViewModel> events);
        public string ExportGetEventType1(string startTime, string endTime, List<ReportEventType1ViewModel> data);
        public string ExportGetEventType2(string startTime, string endTime, List<ReportEventType2ViewModel> data);
        public string ExportGetEventType34(string startTime, string endTime, List<ReportEventType34ViewModel> data);
        public string ExportGetEventType6(string startTime, string endTime, List<ReportEventType6ViewModel> data);
        public string ExportGetMalfunction(string startTime, string endTime, List<ReportMalfunctionViewModel> data);
        public string ExportGetSiteEvent(string startTime, string endTime, ReportSiteEventTypesViewModel data);
    }
}
