﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Traffic.Data.Models;
using Traffic.Data.ViewModels;

namespace Traffic.Service.Interfaces
{
    public interface IPoliceStationService
    {
        public PageViewModel<IEnumerable<PoliceStationViewModel>> GetPoliceStations(SearchModel searchModel);

        public PoliceStationViewModel GetPoliceStationById(int id);

        public TradeResultModel InsertPoliceStation(PoliceStationViewModel PoliceStation);

        public TradeResultModel UpdatPoliceStation(PoliceStationViewModel PoliceStation);

        public TradeResultModel DeletePoliceStation(int id);

        IEnumerable<PoliceStationViewModel> GetGroupNameList();
    }
}
